Subject: Can't identify this plant

From: [email-masked]
Date: Mon, 20 Mar 95 22:04:23 -0500

Please help. I was given this plant 5 days ago and it had no identification
or instructions as to what care was required. I believe that I have killed
it. This plant has many medium to large green shiny leaves and two smaller
red leaves with one small red cylinder like shoot protruding out of each
leaf.There are also tiny white pricks on the cylinders. I was told that
this plant was an Hawaiian species. I have been putting it in direct sunlight
and I have also watered it twice liberally. The plant now is getting dark
at the top of the stems and the green leaves seem to be wilting a bit.
Have I killed it??? Can anybody out there help my plant.
 
Thank you.